---
title: Get a JavaScript source map
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM
---

# Get a JavaScript source map{% #get-a-javascript-source-map %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/sourcemaps |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/sourcemaps |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/sourcemaps      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/sourcemaps      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/sourcemaps  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/sourcemaps     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/sourcemaps |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/sourcemaps |

### Overview

Retrieves the content of a specific JavaScript source map file by its filename, service name, and version. This endpoint requires the `rum_apps_read` permission.

### Arguments

#### Query Strings

| Name                       | Type   | Description                                                |
| -------------------------- | ------ | ---------------------------------------------------------- |
| filename [*required*] | string | The path to the source map file.                           |
| service [*required*]  | string | The service name associated with the source map.           |
| version [*required*]  | string | The version of the service associated with the source map. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a JavaScript source map file.

| Parent field | Field                                 | Type      | Description                                                                                                       |
| ------------ | ------------------------------------- | --------- | ----------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]                | object    | JavaScript source map file data object.                                                                           |
| data         | attributes [*required*]          | object    | Attributes of a JavaScript source map file.                                                                       |
| attributes   | file [*required*]                | string    | The name of the minified JavaScript file.                                                                         |
| attributes   | mappings [*required*]            | string    | The Base64 VLQ encoded string that maps positions in the minified file to positions in the original source files. |
| attributes   | minifiedLineLengths [*required*] | [integer] | List of character counts for each line in the minified file.                                                      |
| attributes   | names [*required*]               | []        | List of symbol names referenced in the mappings.                                                                  |
| attributes   | sourceRoot [*required*]          | string    | The root path prepended to source file paths.                                                                     |
| attributes   | sources [*required*]             | [string]  | List of original source file paths.                                                                               |
| attributes   | sourcesContent [*required*]      | [string]  | List of original source file contents corresponding to the paths in `sources`.                                    |
| attributes   | version [*required*]             | int64     | The version of the source map format (typically 3).                                                               |
| data         | id [*required*]                  | string    | The unique identifier of the source map file, typically the path to the file.                                     |
| data         | type [*required*]                | enum      | The resource type for source map file objects. Allowed enum values: `sourcemap_files`                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "file": "bundle.js",
      "mappings": "AAAA,OAAO,CAAC,GAAG",
      "minifiedLineLengths": [
        50,
        30
      ],
      "names": [
        "console",
        "log"
      ],
      "sourceRoot": "/",
      "sources": [
        "src/index.js",
        "src/utils.js"
      ],
      "sourcesContent": [
        "console.log('index');",
        "export function util() {}"
      ],
      "version": 3
    },
    "id": "path/to/sourcemap.js.map",
    "type": "sourcemap_files"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filename="js/bundle.min.js.map" export service="my-web-service" export version="1.0.0" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/sourcemaps?filename=${filename}&service=${service}&version=${version}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
